Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTOCOperator Class Reference

The class eZTOCOperator does. More...

## Public Member Functions
| operatorList ()
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)
| handleSection ( $sectionNode, $level=0)

## Public Attributes
| $HeaderCounter = array()
| $LastHeaderLevel = 0
| $ObjectAttributeId

## Detailed Description

The class eZTOCOperator does.

Definition at line 17 of file eztocoperator.php.

## Member Function Documentation

## ◆ handleSection()

eZTOCOperator::handleSection | ( |  | $sectionNode,
|  |  | $level = `0`
| ) |  |

Definition at line 80 of file eztocoperator.php.

Referenced by modify().

## ◆ modify()

eZTOCOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Executes the PHP function for the operator cleanup and modifies $operatorValue.

Definition at line 48 of file eztocoperator.php.

References handleSection().

## ◆ namedParameterList()

eZTOCOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList

Definition at line 39 of file eztocoperator.php.

## ◆ namedParameterPerOperator()

eZTOCOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type, this is needed for operator classes that have multiple operators.

Definition at line 31 of file eztocoperator.php.

## ◆ operatorList()

eZTOCOperator::operatorList | ( |  | ) |

Returns
  an array with the template operator name.

Definition at line 22 of file eztocoperator.php.

## Member Data Documentation

## ◆ $HeaderCounter

eZTOCOperator::$HeaderCounter = array()

Definition at line 141 of file eztocoperator.php.

## ◆ $LastHeaderLevel

eZTOCOperator::$LastHeaderLevel = 0

Definition at line 142 of file eztocoperator.php.

## ◆ $ObjectAttributeId

eZTOCOperator::$ObjectAttributeId

Definition at line 144 of file eztocoperator.php.

The documentation for this class was generated from the following file:

- eztocoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.